* {
    margin: 0;
    padding: 0
}

html, body {
    height: 100%;
    width: 100%;
}

body {
    background-color: #000;
    text-align: center;
    min-height: 512px;
    min-width: 512px;
}

#outer {
    height: 100%;
    width: 100%;
    display: table;
    vertical-align: middle;
}

#container {
    text-align: center;
    position: relative;
    vertical-align: middle;
    height: 468px;
}

#inner {
    margin-top: 200px;
    width: 512px;
    height: 512px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    border: 1px solid #000;
}

footer {
    font: 12px Arial;
    color: #808080;
    text-align: center;
    position: relative;
    vertical-align: middle;
    height: 20px;
}

footer a {
    color: #808080;
}